## org.eclipse.jst.jsf.common.metadata.query
Interface IEntityQueryVisitor

All Superinterfaces:
  IEntityVisitor, IMetaDataVisitor

All Known Implementing Classes:
  AbstractEntityQueryVisitor

    public interface IEntityQueryVisitor

extends IEntityVisitor

Entity querying interface

NOT to implemented by clients directly. Clients should subclass AbstractEntityQueryVisitor instead.

Provisional API - subject to change

Method Summary
`IResultSet<Entity>` `findEntities(Entity initialEntityContext, java.lang.String entityKey)`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IEntityVisitor
`visit, visitCompleted`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Method Detail

### findEntities

    IResultSet<Entity> findEntities(Entity initialEntityContext,
                                    java.lang.String entityKey)

  Parameters:
    `initialEntityContext` -
    `entityKey` - to find relative to the passed intialEntityContext
  Returns:
    IResultSet of Entities matching the key. IResultSet must NOT be null. Implementers may return `EmptyResultSet`.